<template>
  <div
    class="navbar-menu-wrapper fixed inset-0 h-screen flex flex-col items-center px-8 z-30"
    style="background-color: var(--navbar-bg-color)"
  >
    <div id="navbar-menu" class="navbar-menu flex flex-col w-full mt-24">
      <div class="navbar-items flex flex-col">
        <template v-for="(item, index) in items">
          <navbar-dropdown-item
            v-if="!item.path && item.children.length"
            :key="index"
            class="my-2"
          >
            <template #default>
              <span>{{ item.label }}</span>
            </template>

            <template #items>
              <template v-for="(childItem, idx) in item.children">
                <navbar-menu-item
                  :key="idx"
                  v-bind="childItem"
                  class="ml-6 mt-2"
                  @click="$emit('item-tapped')"
                />
              </template>
            </template>
          </navbar-dropdown-item>

          <navbar-menu-item
            v-else
            :key="item.id"
            v-bind="item"
            class="my-2"
            @click="$emit('item-tapped')"
          />
        </template>
      </div>
      <div class="navbar-actions mt-4 flex flex-col items-center">
        <template v-for="(action, index) in actions">
          <button-link
            :key="index"
            :to="action.path"
            class="my-2"
            :class="`btn-${action.btn}`"
          >
            {{ action.label }}
          </button-link>
        </template>
      </div>
    </div>
  </div>
</template>

<script>
import NavbarDropdownItem from './NavbarDropdownItem';
import NavbarMenuItem from './NavbarMenuItem';

export default {
  name: 'NavbarMenuMobile',
  components: {
    NavbarDropdownItem,
    NavbarMenuItem,
  },
  props: {
    items: { type: Array, default: () => [] },
    actions: { type: Array, default: () => [] },
  },
};
</script>
